Package org.apache.batchee.container.util

## Enum PartitionDataWrapper.PartitionEventType

- java.lang.Object
- - java.lang.Enum<PartitionDataWrapper.PartitionEventType>
  - - org.apache.batchee.container.util.PartitionDataWrapper.PartitionEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PartitionDataWrapper.PartitionEventType>`
  Enclosing class:
    PartitionDataWrapper

      public static enum PartitionDataWrapper.PartitionEventType
      extends Enum<PartitionDataWrapper.PartitionEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANALYZE_COLLECTOR_DATA` |
    `ANALYZE_STATUS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PartitionDataWrapper.PartitionEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PartitionDataWrapper.PartitionEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANALYZE_COLLECTOR_DATA

          public static final PartitionDataWrapper.PartitionEventType ANALYZE_COLLECTOR_DATA

    - #### ANALYZE_STATUS

          public static final PartitionDataWrapper.PartitionEventType ANALYZE_STATUS

  - ### Method Detail

    - #### values

          public static PartitionDataWrapper.PartitionEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PartitionDataWrapper.PartitionEventType c : PartitionDataWrapper.PartitionEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PartitionDataWrapper.PartitionEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null